<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
    			<tr>
    				<td><img src="images/menu_lbg.gif" border="0"/></td>
    				<td width="100%" bgcolor="#92C8E6" style="padding-left: 7px;"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    				<td><img src="images/menu_rbg.gif" border="0"/></td>
    			</tr>
    			<tr><td height="1" colspan="3"></td></tr>
   				<!-- CALL SUB-MENU-->
   				<xsl:call-template name="SUB-MENU">
   					<xsl:with-param name="pageID" select="@ID"/>
   				</xsl:call-template>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
    			<tr>
    				<td><img src="images/amenu_lbg.gif" border="0"/></td>
    				<td width="100%" bgcolor="#F4FCF2" style="padding-left: 7px;"><span class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
    				<td><img src="images/amenu_rbg.gif" border="0"/></td>
    			</tr>
	   			<tr><td height="1" colspan="3"></td></tr>
   				<!-- CALL SUB-MENU-->
   				<xsl:call-template name="SUB-MENU">
   					<xsl:with-param name="pageID" select="@ID"/>
   				</xsl:call-template>
            </xsl:when>
            <xsl:otherwise>
    			<tr>
    				<td><img src="images/menu_lbg.gif" border="0"/></td>
    				<td width="100%" bgcolor="#92C8E6" style="padding-left: 7px;"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    				<td><img src="images/menu_rbg.gif" border="0"/></td>
    			</tr>
    			<tr><td height="1" colspan="3"></td></tr>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
    			<tr>
    				<td><img src="images/amenu_lbg.gif" border="0"/></td>
    				<td width="100%" bgcolor="#F4FCF2" style="padding-left: 21px;"><span class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
    				<td><img src="images/amenu_rbg.gif" border="0"/></td>
    			</tr>
       			<tr><td height="1" colspan="3"></td></tr>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
        			<tr>
        				<td><img src="images/menu_lbg.gif" border="0"/></td>
        				<td width="100%" bgcolor="#92C8E6" style="padding-left: 21px;"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        				<td><img src="images/menu_rbg.gif" border="0"/></td>
        			</tr>
        			<tr><td height="1" colspan="3"></td></tr>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>



</xsl:stylesheet>
