<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White">
        	<TR>
        		<TD colspan="2" height="77" style="background-image: url('images/menu_bg.gif')"  width='780'>
        		<!-- MENU -->

   	        		<table CELLPADDING="0" CELLSPACING="0" BORDER="0">
   	        		<tr>
					<td><span style="width:52px; height:0px;"><spacer type="block" width="52" height="0" /></span></td>
	   	        		<!--CALL TOP-MENU -->
						<xsl:call-template name="TOP-MENU"/>
					</tr>
					</table>

        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" height="205" valign="top"  align="right" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        		<!-- HEADER -->
        			<table cellpadding="0" cellspacing="0" width="300" height="205">
						<tr><td width="20%"></td></tr>
						<tr>
							<td>
								<table cellpadding="0" cellspacing="0" style="margin-right: 20px;" width="280">
			        				<tr>
			        					<td class="slogan" width="80"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
			        					<td width="25"><img src="images/logo_separator.gif"/></td>
			        					<td width="41"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
			        					<td  width="154" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
			        				</tr>
			        			</table>	
							</td>
						</tr>
						<tr><td width="70%"></td></tr>
					</table>
        		<!-- END HEADER -->
        		</TD>
        	</TR>
        	<TR>
        		<TD height="100%" width="583" valign="top">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="583" height="100%">
        				<tr><td colspan="2" height="36"><img src="images/image1.gif"/></td></tr>
        				<tr>
        					<td width="11"></td>
        					<td width="572" style="background-color: #E3E3E3; background-image:  url('images/bg.gif'); background-position: bottom; background-repeat: no-repeat;" valign="top">
       							<table CELLPADDING="0" CELLSPACING="0" BORDER="0" width="408" style="margin: 25px 100px 25px 64px"><tr><td width="408">
       							<p class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></p>
       							<div class="text"><xsl:apply-templates select="PAGE-CONTENT"/></div>
       							</td></tr></table>
        					</td>
        				</tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        		<TD width="197" valign="top">
        		<!-- SUBMENU -->
        			<table width="185" height="100%" cellpadding="0" cellspacing="0"  border="0" bgcolor="white">
        				<tr>
        					<td>
        						<!-- CALL SUB-MENU -->
        						<xsl:call-template name="SUB-MENU">
        							<xsl:with-param name="pageID" select="@ID"/>
        						</xsl:call-template>
        					</td>
        				</tr>
        				<tr><td width="185" colspan="2" style="background-color: #E3E3E3; background-image:  url('images/bg_right.gif'); background-position: bottom left; background-repeat: no-repeat;" valign="top" height="100%"><img src="images/submenu_bbg.gif" width="185"/></td></tr>
        			</table>

        			
        		<!-- END SUBMENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" height="70" style="padding:20px">
        		<!-- FOOTER -->
        			<div class="footer" style="float: left"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>
	</xsl:template>


	<!--TOP-->

	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" width="160" style="margin-left: 18px">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
   				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" width="160" style="margin-left: 18px">
				   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
   				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
