<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
	<TR>
		<TD height="89" style="background-color:  #626262; background-image:  url('images/logo_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="89">
				<tr>
					<td style="padding-left: 30px;">
						<!-- LOGO -->
							<table cellpadding="0" cellspacing="0">
								<tr>
									<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
									<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
								</tr>
								<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
							</table>
						<!-- END LOGO -->
					</td>
					<td align="right" class="url" style="padding-right: 30px;">
						<xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="236" style="background-image: url('images/header.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="236" style="background-image: url('images/laptop.jpg'); background-repeat: no-repeat;">
				<tr><td style="background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;"></td></tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="58" style="background-color:  #DEDEDE; background-image:  url('images/menu_bg.gif'); background-position: bottom; background-repeat: repeat-x;">
		<!-- MENU -->
			<table cellpadding="0" cellspacing="0">
				<tr>
					<td width="60"></td>
					<xsl:call-template name="TOP-MENU"/>
					<td width="30"></td>					
				</tr>
			</table>
		<!-- END MENU -->
		</TD>
	</TR>
	<TR>
		<TD height="100%" valign="top" class="bg" style="background-image: url('images/bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr>
					<td><div style="width:50px; height:1px;"><spacer type="block" width="50" height="1"/></div></td>
					<td width="180" valign="top">
						<div style="width:1px; height:45px;"><spacer type="block" width="1" height="45"/></div>
						<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="180">		
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>	
						<!-- END SUBMENU -->
						<div style="width:1px; height:10px;"><spacer type="block" width="1" height="10"/></div>
					</td>
					<td><div style="width:50px; height:1px;"><spacer type="block" width="50" height="1"/></div></td>
					<td width="100%" valign="top" class="pageContent">
						<div style="width:1px; height:45px;"><spacer type="block" width="1" height="45"/></div>
						<!-- CONTENT -->
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
								<td width="10"></td>
								<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
							</tr>
						</table>
						<!-- END CONTENT -->	
						<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
						<div style="width:1px; height:40px;"><spacer type="block" width="1" height="40"/></div>				
					</td>
					<td><div style="width:50px; height:1px;"><spacer type="block" width="50" height="1"/></div></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="120" valign="top" style="background-image: url('images/footer_tbg.gif'); background-repeat: repeat-x; padding-left: 20px;">
			<table cellpadding="0" cellspacing="0" border="0" height="69">
				<tr>
					<td><img src="images/footer_l.gif" border="0" alt=""/></td>
					<td width="200" align="center" class="footer" style="background-color:  #FF3600; background-image:  url('images/footer_bg.gif'); background-repeat: repeat-x;">
					<!-- FOOTER -->
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
					<!-- END FOOTER -->
					</td>
					<td><img src="images/footer_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		

	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td colspan="2">
					<table cellpadding="0" cellspacing="0" border="0" width="180">
						<tr>
							<td><img src="images/submenu_al.gif" border="0" alt=""/></td>
							<td width="100%" class="asubmenu" style="padding-left: 7px; background-image: url('images/submenu_abg.gif'); background-repeat: repeat-x;">
								<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
							</td>
							<td align="right" style="background-image: url('images/submenu_abg.gif'); background-repeat: repeat-x; padding-right: 7px;"><img src="images/submenu_abullet.gif" border="0"/></td>
							<td><img src="images/submenu_ar.gif" border="0" alt=""/></td>
						</tr>
					</table>								
				</td>								
			</tr>
			<tr><td colspan="2" height="2" style="background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 12px" height="30"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding-right: 16px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
				</tr>
				<tr><td colspan="2" height="2" style="background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
